<?php
// Ensure no output before session_start() or header()
session_start();   // Starts the session

if (empty($_SESSION['username'])) { 
    header("Location: login_form.php");
    exit();
}
?>
<!doctype html>
<html>
<head>
    <style>
        /* Sticky buttons container */
        .sticky-buttons {
            position: sticky;
            top: 0;
            background-color: #f9f9f9;
            padding: 10px;
            border-bottom: 1px solid #ccc;
            text-align: center;
            z-index: 1000; /* Ensures the buttons stay above other content */
        }
        .sticky-buttons button {
            margin: 5px;
            padding: 10px 20px;
            background-color: #300ACC;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        .sticky-buttons button:hover {
            background-color: #4e3cff;
        }
    </style>
</head>
<body>
    <!-- Sticky buttons -->
    <div class="sticky-buttons">
        <button type="button" onclick="location.href='secret_page_admin.php'">Go back</button>
        <button type="button" onclick="location.href='logout.php'">Log out</button>
    </div>

    <?php
    include('mysqli_connect.php');

    // Query to retrieve data from the product table
    $query = "SELECT * FROM product"; 
    $result = mysqli_query($dbc, $query); 

    // Check if the query was successful
    if ($result) {
        $row_cnt = mysqli_num_rows($result);
        echo "In total, the number of retrieved records is: <strong> $row_cnt </strong> <br><br>";
        
        // Loop through each row and display the product details
        while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
            echo "Item Number: " . $row['item_no'] . "<br>\n";
            echo "Product Name: " . $row['product_name'] . "<br>\n";
            echo "Product Type: " . $row['product_type'] . "<br>\n";
            echo "Number of Pieces: " . $row['number_pieces'] . "<br>\n";
            echo "Year of Release: " . $row['release_year'] . "<br>\n";
            echo "Price: $" . number_format($row['price'], 2) . "<br>\n";  // Format price to 2 decimal places
            echo "Quantity on Hand: " . $row['qty'] . "<br><br>\n";  // Display each product's details
        }
    } else {
        echo "Error retrieving records: " . mysqli_error($dbc);
    }

    mysqli_close($dbc);
    ?>
</body>
</html>