<?php
include('mysqli_connect.php');

// Get POST data and escape to prevent SQL injection
$itemno = mysqli_real_escape_string($dbc, trim($_POST['itemno']));
$productname = mysqli_real_escape_string($dbc, trim($_POST['productname']));
$producttype = mysqli_real_escape_string($dbc, trim($_POST['producttype']));
$numberpieces = (int) $_POST['numberpieces']; 
// Cast to integer - learned in a previous course on Python "Python Crash Course" by Eric Matthes general programming 
$releaseyear = (int) $_POST['releaseyear']; // Cast to integer
$price = (float) $_POST['price']; // Ensure it's a float - "Python Crash Course" by Eric Matthes general programming
$qty = (int) $_POST['qty']; // Cast to integer
$imageurl = mysqli_real_escape_string($dbc, trim($_POST['imageurl']));

// Prepare the query using prepared statements to prevent SQL injection
$query = "INSERT INTO product (item_no, product_name, product_type, number_pieces, release_year, price, qty, image_url) 
          VALUES (?, ?, ?, ?, ?, ?, ?, ?)";

// Prepare and bind the statement
$stmt = mysqli_prepare($dbc, $query);
mysqli_stmt_bind_param($stmt, "sssiidss", $itemno, $productname, $producttype, $numberpieces, $releaseyear, $price, $qty, $imageurl);

// Execute the statement and check for success
$result = mysqli_stmt_execute($stmt);

if ($result) {
    echo "The product <strong> $productname </strong> has been successfully added to the database!";
} else {
    echo mysqli_error($dbc);
}

echo "<button type=\"button\" onclick=\"location.href='secret_page_admin.php'\">Go back</button>";
?>